CREATE TABLE DATA_SVC_KEY (
    DATA_SVC_KEY_ID NUMBER NOT NULL,
    KEY_NAME VARCHAR2(100 CHAR) NOT NULL,
    KEY_VALUE VARCHAR2(100 CHAR) NOT NULL,
    ACT VARCHAR2(1 CHAR) NOT NULL
);

ALTER TABLE DATA_SVC_KEY ADD CONSTRAINT DATA_SVC_KEY_PK PRIMARY KEY (DATA_SVC_KEY_ID);

ALTER TABLE DATA_SVC_KEY ADD CONSTRAINT DATA_SVC_KEY_U01 UNIQUE (KEY_NAME);

ALTER TABLE DATA_SVC_KEY ADD CONSTRAINT DATA_SVC_KEY_U02 UNIQUE (KEY_VALUE);

CREATE SEQUENCE DATA_SVC_KEY_SEQ MINVALUE 1 INCREMENT BY 1 START WITH 1 NOCACHE NOORDER  NOCYCLE;

ALTER TABLE REST_DATA_SET ADD DATA_SVC_KEY_ID NUMBER;

ALTER TABLE REST_DATA_SET ADD CONSTRAINT REST_DATA_SET_FK01 FOREIGN KEY (DATA_SVC_KEY_ID) REFERENCES DATA_SVC_KEY (DATA_SVC_KEY_ID);

ALTER TABLE QUERY ADD DATA_SVC_KEY_ID NUMBER;

ALTER TABLE QUERY ADD CONSTRAINT QUERY_FK01 FOREIGN KEY (DATA_SVC_KEY_ID) REFERENCES DATA_SVC_KEY (DATA_SVC_KEY_ID);

insert into verzije_baza
(id, dt_vpis, verzija, ver_nr, opis) values (2367, SYSDATE, '5.5', 2287, 'Data services')
;