CREATE TABLE MATERIAL_SUPPLIER (
ID_MATERIAL_SUPPLIER NUMBER NOT NULL,
ID_MATERIAL NUMBER NOT NULL,
ID_OWNER NUMBER NOT NULL,
PURCHASE_PRICE_NETO NUMBER,
PURCHASE_PRICE_BRUTO NUMBER,
ID_TAX NUMBER,
CONSTRAINT PK_MATERIAL_SUPPLIER PRIMARY KEY(ID_MATERIAL_SUPPLIER)
)
;

CREATE SEQUENCE MATERIAL_SUPPLIER_SEQ MINVALUE 1 INCREMENT BY 1 START WITH 1 NOCACHE NOORDER  NOCYCLE
;

CREATE OR REPLACE VIEW V_MATERIAL_SUPPLIER AS (
SELECT MS.*, SA.NAZIV1 AS S_ARTIKLI_NAZIV1, K.PRIIMEK AS KUPCI_PRIIMEK, K.IME AS KUPCI_IME, SD.OPIS AS S_DAVEK_OPIS
FROM MATERIAL_SUPPLIER MS
LEFT OUTER JOIN S_ARTIKLI SA ON MS.ID_MATERIAL=SA.ID_ARTIKEL
LEFT OUTER JOIN KUPCI K ON MS.ID_OWNER=K.ID
LEFT OUTER JOIN S_DAVEK SD ON MS.ID_TAX=SD.ID_DAVEK
)
;

insert into verzije_baza
(id, dt_vpis, verzija, ver_nr, opis) values (2338, SYSDATE, '5.5', 2258, 'MATERIAL_SUPPLIER')
;
