DROP VIEW V_RENTAL_POOL_CALC
;


ALTER TABLE RENTAL_POOL_CALC
ADD USER_CREATE VARCHAR2(100 CHAR)
;

ALTER TABLE RENTAL_POOL_CALC
ADD DATE_CREATE DATE
;

CREATE OR REPLACE VIEW V_RENTAL_POOL_CALC AS 
(SELECT R.ID_RENTAL_POOL, R.NNLOCATION_ID, R.ID_OWNER, R.ID_PRIVEZ, R.ID_SALDKONT, R.ID_TAX, R.CALC_DATE, R.DATE_FROM, R.DATE_TO, R.QUANTITY, R.MQUANTITY, 
R.AMOUNT, R.AMOUNT_TAX, R.AMOUNT_FEE, R.AMOUNT_TAX_FEE, R.PERIOD_TOTAL, R.PERIOD_NIGHTS, R.USER_CREATE, R.DATE_CREATE,
K.PRIIMEK AS KUPCI_PRIIMEK, K.IME AS KUPCI_IME,
S.N_RACUNA AS SALDKONT_N_RACUNA,
D.OPIS AS S_DAVEK_OPIS,
P.N_PRIVEZA AS NNPRIVEZ_N_PRIVEZA,
T.OPIS AS NNTAXPAYER_OPIS
FROM RENTAL_POOL_CALC R
LEFT OUTER JOIN KUPCI K ON R.ID_OWNER=K.ID
LEFT OUTER JOIN SALDKONT S ON R.ID_SALDKONT=S.ID_SALDKONT
LEFT OUTER JOIN S_DAVEK D ON R.ID_TAX=D.ID_DAVEK
LEFT OUTER JOIN NNPRIVEZ P ON R.ID_PRIVEZ=P.ID_PRIVEZ
LEFT OUTER JOIN NNTAXPAYER T ON K.DAVCNI_ZAVEZANEC=T.SIFRA
)
;

insert into verzije_baza
(id, dt_vpis, verzija, ver_nr, opis) values (2346, SYSDATE, '5.5', 2266, 'Rental_pool_calc')
;
