DROP VIEW V_RACUN_PAYMENTS
;

CREATE VIEW V_RACUN_PAYMENTS (ID, ID_SALDKONT, ID_CARDS, ZNESEK, TECAJ, NVALUTA, EXCHANGE_ID, TRANSACTION_ID, PROVIDER_SIGNATURE, POS_INPUT, TERMINAL_ID, RRN, CARD_NUMBER) AS 
  SELECT M.ID_MONEY AS ID, E.ID_SALDKONT, M.ID_CARDS, M.ZNESEK, M.TECAJ, M.NVALUTA, E.ID AS EXCHANGE_ID, PR.TRANSACTION_ID, PR.PROVIDER_SIGNATURE,
PR.POS_INPUT, PR.TERMINAL_ID, PR.RRN, PR.CARD_NUMBER
FROM EXCHANGE E
JOIN MONEY M ON E.ID=M.ID_MENJAVE
LEFT OUTER JOIN PAYMENT_RESPONSE PR ON M.PAYMENT_RESPONSE_ID=PR.ID
;

insert into verzije_baza
(id, dt_vpis, verzija, ver_nr, opis) values (2360, SYSDATE, '5.5', 2280, 'V_RACUN_PAYMENTS')
;