CREATE TABLE BOOKING_PERIOD (
  ID_BOOKING_PERIOD NUMBER NOT NULL,
  NNLOCATION_ID NUMBER,
  DATE_FROM DATE,
  DATE_TO DATE,
  NOT_AVAILABLE VARCHAR2(1 CHAR),
  MIN_DURATION NUMBER,
  DISCOUNT NUMBER,
  CONSTRAINT BOOKING_PERIOD_LOCATION_ID_FK FOREIGN KEY (NNLOCATION_ID) REFERENCES NNLOCATION(ID),
  CONSTRAINT BOOKING_PERIOD_PK PRIMARY KEY (ID_BOOKING_PERIOD)
);

CREATE SEQUENCE BOOKING_PERIOD_SEQ MINVALUE 1 INCREMENT BY 1 START WITH 1 NOCACHE NOORDER NOCYCLE;

insert into verzije_baza
(id, dt_vpis, verzija, ver_nr, opis) values (2368, SYSDATE, '5.5', 2288, 'Booking period')
;